Deep Security Manager REST API

Path: / rest / monitoring / usages / hosts / aggregate / protection

List aggregate tenant computer protection information. For a detailed breakdown of all the host protection information that is used to calculate the aggregate, use the monitoring/usages/hosts/protection API.

Usage for each computer is calculated to the nearest second, rounded up.


Method Summary
ResourceDescription
GET /rest/monitoring/usages/hosts/aggregate/protection?tenantName=…&tID=…&from=…&to=…&sID=…List aggregate tenant computer protection information.

Method Detail
HTTP Example:
GET /rest/monitoring/usages/hosts/aggregate/protection?tenantName=…&tID=…&from=…&to=…&sID=…

API Example:

IMonitoringAPI.listAggregateHostProtection({'tenantName': /* tenantName the name of the tenant to retrieve the host protection information for. */,
  'tID': /* tID the ID of the tenant to retrieve the host protection information for. */,
  'from': /* from The date from which to gather the usage. */,
  'to': /* to The date up to which to gather the usage. */,
  'sID': /* sID the session identifier. */});

List aggregate tenant computer protection information. For a detailed breakdown of all the host protection information that is used to calculate the aggregate, use the monitoring/usages/hosts/protection API.

Usage for each computer is calculated to the nearest second, rounded up.

Output:
TenantAggregateHostProtectionListing - The requested host usage statistics
Query parameters:
tenantName - the name of the tenant to retrieve the host protection information for.
tID - the ID of the tenant to retrieve the host protection information for. If neither tenantName nor tID are specified, host protection information for all tenants is retrieved. If both are specified, tID is used and tenantName is ignored.
from - The date from which to gather the usage. If not set, then a time of one hour ago is used.
to - The date up to which to gather the usage. If not set, the current server time is used.
sID - the session identifier. This must belong to an administrator from the primary tenant.
Produces:
application/xml
application/json

Copyright © 2015 Trend Micro Inc. All Rights Reserved.